<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/HitIndication/HitDirectionImages/HitDirectionImagesBase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d9f/_hit_direction_images_base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HitDirectionImagesBase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dd/d9f/_hit_direction_images_base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d1/d26/class_hit_direction_images_base.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/d26/class_hit_direction_images_base.html">HitDirectionImagesBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d1/d26/class_hit_direction_images_base.html#adc8b2ae114b1c0d1503359c3118277a2">    4</a></span>    <span class="keywordtype">int</span>                         <a class="code hl_variable" href="../../d1/d26/class_hit_direction_images_base.html#adc8b2ae114b1c0d1503359c3118277a2">m_ImageIndex</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d1/d26/class_hit_direction_images_base.html#a8d440bc8a422543a5c094ab18d58f556">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a8d440bc8a422543a5c094ab18d58f556">HitDirectionImagesBase</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <span class="keywordflow">if</span> ( (!<a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a074c4cc2db42239165c192c5c81173ed">GetTypeLayoutPathArray</a>() &amp;&amp; !<a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a3a91efaff515462d4d9e171253cc1779">GetTypeImagePathArray</a>()) )</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>            <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#acd01b3e4ec36d3ffc242cd8f090ee160">PerformRegisterImages</a>();</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#ad41b5991c2508b6a8ae5398557c70cb5">RandomizeImageIdx</a>();</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d1/d26/class_hit_direction_images_base.html#acd01b3e4ec36d3ffc242cd8f090ee160">   16</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#acd01b3e4ec36d3ffc242cd8f090ee160">PerformRegisterImages</a>()</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    {</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="comment">/*</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="comment">        RegisterImage(&quot;gui/layouts/gameplay/HitDirectionIndication.layout&quot;,&quot;Single_indicator_Splash_1&quot;);</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="comment">        RegisterImage(&quot;gui/layouts/gameplay/HitDirectionIndication.layout&quot;,&quot;Single_indicator_Splash_2&quot;);</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="comment">        ...</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="comment">        */</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d1/d26/class_hit_direction_images_base.html#aeeff1726a7781c10c3cea9dcef6125b6">   25</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#aeeff1726a7781c10c3cea9dcef6125b6">RegisterImage</a>(<span class="keywordtype">string</span> layout_path, <span class="keywordtype">string</span> image_name)</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a074c4cc2db42239165c192c5c81173ed">GetTypeLayoutPathArray</a>().Insert(layout_path);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a3a91efaff515462d4d9e171253cc1779">GetTypeImagePathArray</a>().Insert(image_name);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d1/d26/class_hit_direction_images_base.html#ad41b5991c2508b6a8ae5398557c70cb5">   31</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#ad41b5991c2508b6a8ae5398557c70cb5">RandomizeImageIdx</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d1/d26/class_hit_direction_images_base.html#adc8b2ae114b1c0d1503359c3118277a2">m_ImageIndex</a> = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">RandomIntInclusive</a>(0,<a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a3a91efaff515462d4d9e171253cc1779">GetTypeImagePathArray</a>().<a class="code hl_enumvalue" href="../../d6/dc5/_random_generator_sync_manager_8c.html#afe3bb26b57097f9a390bb1e8de15d84aa928f33270be19855038d0245a0fa06a1">Count</a>() - 1);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d1/d26/class_hit_direction_images_base.html#a074c4cc2db42239165c192c5c81173ed">   36</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a074c4cc2db42239165c192c5c81173ed">GetTypeLayoutPathArray</a>(){}</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d1/d26/class_hit_direction_images_base.html#a3a91efaff515462d4d9e171253cc1779">   37</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a3a91efaff515462d4d9e171253cc1779">GetTypeImagePathArray</a>(){}</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d1/d26/class_hit_direction_images_base.html#a637e364cb004b7f0a17d9c114a0b652d">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a637e364cb004b7f0a17d9c114a0b652d">GetCurrentImageData</a>(out <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> layout, out <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> image)</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        layout = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>(<a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a074c4cc2db42239165c192c5c81173ed">GetTypeLayoutPathArray</a>()[<a class="code hl_variable" href="../../d1/d26/class_hit_direction_images_base.html#adc8b2ae114b1c0d1503359c3118277a2">m_ImageIndex</a>]);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        image = layout.FindAnyWidget(<a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a3a91efaff515462d4d9e171253cc1779">GetTypeImagePathArray</a>()[<a class="code hl_variable" href="../../d1/d26/class_hit_direction_images_base.html#adc8b2ae114b1c0d1503359c3118277a2">m_ImageIndex</a>]);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>}</div>
<div class="ttc" id="a_random_generator_sync_manager_8c_html_afe3bb26b57097f9a390bb1e8de15d84aa928f33270be19855038d0245a0fa06a1"><div class="ttname"><a href="../../d6/dc5/_random_generator_sync_manager_8c.html#afe3bb26b57097f9a390bb1e8de15d84aa928f33270be19855038d0245a0fa06a1">Count</a></div><div class="ttdeci">@ Count</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/dc5/_random_generator_sync_manager_8c_source.html#l00007">RandomGeneratorSyncManager.c:7</a></div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html">HitDirectionImagesBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00002">HitDirectionImagesBase.c:3</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_a074c4cc2db42239165c192c5c81173ed"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#a074c4cc2db42239165c192c5c81173ed">HitDirectionImagesBase::GetTypeLayoutPathArray</a></div><div class="ttdeci">protected array&lt; string &gt; GetTypeLayoutPathArray()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00036">HitDirectionImagesBase.c:36</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_a3a91efaff515462d4d9e171253cc1779"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#a3a91efaff515462d4d9e171253cc1779">HitDirectionImagesBase::GetTypeImagePathArray</a></div><div class="ttdeci">protected array&lt; string &gt; GetTypeImagePathArray()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00037">HitDirectionImagesBase.c:37</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_a637e364cb004b7f0a17d9c114a0b652d"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#a637e364cb004b7f0a17d9c114a0b652d">HitDirectionImagesBase::GetCurrentImageData</a></div><div class="ttdeci">void GetCurrentImageData(out Widget layout, out Widget image)</div><div class="ttdoc">Layout should be sufficient for generic manipulation of the hit image.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00040">HitDirectionImagesBase.c:40</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_a8d440bc8a422543a5c094ab18d58f556"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#a8d440bc8a422543a5c094ab18d58f556">HitDirectionImagesBase::HitDirectionImagesBase</a></div><div class="ttdeci">void HitDirectionImagesBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00006">HitDirectionImagesBase.c:6</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_acd01b3e4ec36d3ffc242cd8f090ee160"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#acd01b3e4ec36d3ffc242cd8f090ee160">HitDirectionImagesBase::PerformRegisterImages</a></div><div class="ttdeci">protected void PerformRegisterImages()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00016">HitDirectionImagesBase.c:16</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_ad41b5991c2508b6a8ae5398557c70cb5"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#ad41b5991c2508b6a8ae5398557c70cb5">HitDirectionImagesBase::RandomizeImageIdx</a></div><div class="ttdeci">protected void RandomizeImageIdx()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00031">HitDirectionImagesBase.c:31</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_adc8b2ae114b1c0d1503359c3118277a2"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#adc8b2ae114b1c0d1503359c3118277a2">HitDirectionImagesBase::m_ImageIndex</a></div><div class="ttdeci">int m_ImageIndex</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00004">HitDirectionImagesBase.c:4</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_aeeff1726a7781c10c3cea9dcef6125b6"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#aeeff1726a7781c10c3cea9dcef6125b6">HitDirectionImagesBase::RegisterImage</a></div><div class="ttdeci">protected void RegisterImage(string layout_path, string image_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00025">HitDirectionImagesBase.c:25</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_gafbc28855d0d24deda2fbdd3229c6bac2"><div class="ttname"><a href="../../d5/d98/group___math.html#gafbc28855d0d24deda2fbdd3229c6bac2">Math::RandomIntInclusive</a></div><div class="ttdeci">static int RandomIntInclusive(int min, int max)</div><div class="ttdoc">Returns a random int number between and min [inclusive] and max [inclusive].</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00053">EnMath.c:53</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_f8c816277ae925e56c057f3459738fdd.html">HitIndication</a></li><li class="navelem"><a class="el" href="../../dir_8d1111e7063a9cd6902b3d9b923cca14.html">HitDirectionImages</a></li><li class="navelem"><a class="el" href="../../dd/d9f/_hit_direction_images_base_8c.html">HitDirectionImagesBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
